import request from '@/utils/request'

// 创建优惠券信息
export function createCoupon(data) {
  return request({
    url: '/product/coupon/createOrUpdate',
    method: 'post',
    data: data
  })
}

// 更新优惠券信息
export function updateCoupon(data) {
  return request({
    url: '/product/coupon/update',
    method: 'put',
    data: data
  })
}

// 删除优惠券信息
export function deleteCoupon(id) {
  return request({
    url: '/product/coupon/delete?id=' + id,
    method: 'delete'
  })
}

// 获得优惠券信息
export function getCoupon(id) {
  return request({
    url: '/product/coupon/get?couponId=' + id,
    method: 'get'
  })
}

// 获得优惠券信息分页
export function getCouponPage(query) {
  return request({
    url: '/product/coupon/page',
    method: 'get',
    params: query
  })
}

// 获得优惠券下拉
export function getCouponSelect(query) {
  return request({
    url: '/product/coupon/select',
    method: 'get',
    params: query
  })
}

// 导出优惠券信息 Excel
export function exportCouponExcel(query) {
  return request({
    url: '/product/coupon/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 获得用户可用优惠券
export function getCustomerAvailableCouponList(data){
  return request({
    url: '/product/coupon/customer/available/couponList',
    method: 'post',
    data
  })
}

// 更新优惠券有效期
export function updateEndtime(data){
  return request({
    url: '/product/coupon/update/endTime',
    method: 'put',
    data
  })
}